include ../Makefile.common

OBJ += $(patsubst %.cpp,%.o,$(wildcard src/*.cpp)) $(patsubst %.cpp,%.o,$(wildcard src/*/*.cpp)) $(patsubst %.cpp,%.o,$(wildcard src/*/*/*.cpp))
LIBNAME = libbullet.a
CXXFLAGS = -Isrc

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archive $@
	@ar -crsu $@ $(OBJ)
	@echo 

clean:
	-@$(RM) src$(SLASH)*.o
	-@$(RM) src$(SLASH)*.d

	-@$(RM) src$(SLASH)LinearMath$(SLASH)*.o
	-@$(RM) src$(SLASH)LinearMath$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)ConstraintSolver$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)ConstraintSolver$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)Dynamics$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)Dynamics$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)Vehicle$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletDynamics$(SLASH)Vehicle$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletCollision$(SLASH)BroadphaseCollision$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletCollision$(SLASH)BroadphaseCollision$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletCollision$(SLASH)CollisionDispatch$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletCollision$(SLASH)CollisionDispatch$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletCollision$(SLASH)CollisionShapes$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletCollision$(SLASH)CollisionShapes$(SLASH)*.d

	-@$(RM) src$(SLASH)BulletCollision$(SLASH)NarrowPhaseCollision$(SLASH)*.o
	-@$(RM) src$(SLASH)BulletCollision$(SLASH)NarrowPhaseCollision$(SLASH)*.d

	-@$(RM) $(LIBNAME)
